G2/Preinscripcion/2.9.0/DocTecnica

Preinscripción 2.9.0: documentación técnica

Requisitos

Requisito Versión
PostgreSQL 8.4.x o 9.1.x
Apache 2.2.x
PHP 5.3.x. También se deben tener instaladas y activadas las extensiones php: curl, mbstring, pdo_pgsql, openssl, apc. Para PHP 5.3.9 o superior, establecer el valor de la directiva de configuración 'max_input_vars' en 1200. Establecer el valor de 'allow_url_fopen' en '1'.
yui-compressor 2.4.2 o superior. Para sistemas Windows viene integrado con la versión de Preinscripción

IMPORTANTE: Consideraciones sobre la caché APC

Como una medida de eficiencia para optimizar los tiempos de respuesta, el sistema utiliza una herramienta de caché para almacenar los resultados de consultas a la base de datos. El mecanismo utilizado es APC, también conocido como "caché alternativo de PHP" (por las siglas en inglés de Alternative PHP Cache). Es un código de operación de caché libre y abierto para PHP.

La primera vez que se ejecuta una consulta SQL, el resultado se almacena en un "catálogo" en caché. Las siguientes consultas de la misma SQL serán respondidos con los datos cacheados en ese catálogo. Las operaciones del sistema que realizan actualizaciones en la base se encargan además de invalidar la porción de caché APC relacionada con esos datos, para que el siguiente pedido obtenga los datos de la base. Pero si se modifican o se insertan datos externamente (por ejemplo, se exportan datos desde Guaraní para inicializar la base o se agrega algún dato por SQL), habrá que invalidar manualmente la caché, con una operación del panel de Administración de Preinscripción provista a tal efecto.

Instalación

Personalizaciones

Back-end de administración


<< volver